Loading...
Searching...
No Matches
analyticgridviewfunction.hh File Reference
`#include <type_traits>`
`#include <optional>`
`#include <dune/common/copyableoptional.hh>`
`#include <dune/common/typeutilities.hh>`
`#include <dune/functions/common/signature.hh>`
`#include <dune/functions/common/defaultderivativetraits.hh>`
`#include <dune/functions/common/differentiablefunction_imp.hh>`
`#include <dune/functions/common/differentiablefunction.hh>`
`#include <dune/functions/gridfunctions/gridviewentityset.hh>`
`#include <dune/functions/gridfunctions/localderivativetraits.hh>`

Go to the source code of this file.

## Classes

class | Dune::Functions::AnalyticGridViewFunction< Range(Domain), GV, F, DerivativeTraits >
| Class wrapping any differentiable function as grid function. More...

## Namespaces

namespace | Dune
namespace | Dune::Functions

## Functions

template<class F, class GridView, class Domain = typename GridView::template Codim<0>::Geometry::GlobalCoordinate, class Range = std::invoke_result_t<F,Domain>>
| Dune::Functions::AnalyticGridViewFunction (const F &, const GridView &) -> AnalyticGridViewFunction< Range(Domain), GridView, F >
template<class F, class GridView>
auto | Dune::Functions::makeAnalyticGridViewFunction (F &&f, const GridView &gridView)
| Create an AnalyticGridViewFunction from a function and a grid view.